// Реализовать функцию подсчета факториала числа. Задача должна быть реализована на языке javascript, без
// использования фреймворков и сторонник библиотек (типа Jquery).
//
// Технические требования:
//     Считать с помощью модального окна браузера число, которое введет пользователь.
//     С помощью функции посчитать факториал числа, которое ввел пользователь, и вывести его на экран.
//     Использовать синтаксис ES6 для работы с перемеными и функциями.
//     Необязательное задание продвинутой сложности:
//     После ввода данных добавить проверку их корректности. Если пользователь не ввел число, либо при вводе указал
// не число, - спросить число заново (при этом значением по умолчанию для него должна быть введенная ранее информация).


let userReply = +prompt('Enter a number you want to receive factoial of ')
while (userReply < 0 || isNaN(userReply)){
    userReply = +prompt(`Entered number ${userReply} is wrong. Enter a number again:`)
}

function getFactorial (n){
    if (n === 1) {
        return n;
    } else return n * getFactorial(n - 1);
}

console.log(`Factorial of ${userReply} is ${getFactorial(userReply)}`);